Share via


Assessments Operations - List By Group

List Assessment resources by Group

GET https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Migrate/assessmentProjects/{projectName}/groups/{groupName}/assessments?api-version=2024-01-15

URI Parameters

Name In Required Type Description
groupName
path True

string

pattern: ^[^<>&:\?/#]{1,260}$

Group ARM name

projectName
path True

string

pattern: ^[^<>&:\?/#]{1,260}$

Assessment Project Name

resourceGroupName
path True

string

minLength: 1
maxLength: 90

The name of the resource group. The name is case insensitive.

subscriptionId
path True

string (uuid)

The ID of the target subscription. The value must be an UUID.

api-version
query True

string

minLength: 1

The API version to use for this operation.

Responses

Name Type Description
200 OK

AssessmentListResult

ARM operation completed successfully.

Other Status Codes

ErrorResponse

An unexpected error response.

Security

azure_auth

Azure Active Directory OAuth2 Flow.

Type: oauth2
Flow: implicit
Authorization URL: https://login.microsoftonline.com/common/oauth2/authorize

Scopes

Name Description
user_impersonation impersonate your user account

Examples

AssessmentsOperations_ListByGroup_MaximumSet_Gen

Sample request

GET https://management.azure.com/subscriptions/4bd2aa0f-2bd2-4d67-91a8-5a4533d58600/resourceGroups/ayagrawrg/providers/Microsoft.Migrate/assessmentProjects/app18700project/groups/kuchatur-test/assessments?api-version=2024-01-15

Sample response

{
  "value": [
    {
      "properties": {
        "assessmentErrorSummary": {},
        "monthlyUltraStorageCost": 21,
        "costComponents": [
          {
            "name": "MonthlyAzureHybridCostSavings",
            "value": 547.584,
            "description": null
          },
          {
            "name": "MonthlySecurityCost",
            "value": 44.64,
            "description": null
          },
          {
            "name": "MonthlyPremiumV2StorageCost",
            "value": 25.141248,
            "description": null
          }
        ],
        "eaSubscriptionId": null,
        "azurePricingTier": "Standard",
        "azureStorageRedundancy": "LocallyRedundant",
        "reservedInstance": "RI3Year",
        "azureHybridUseBenefit": "Yes",
        "linuxAzureHybridUseBenefit": "Yes",
        "azureDiskTypes": [
          "Premium",
          "PremiumV2",
          "StandardSSD"
        ],
        "azureVmFamilies": [
          "D_series",
          "Lsv2_series",
          "M_series",
          "Mdsv2_series",
          "Msv2_series",
          "Mv2_series"
        ],
        "monthlyComputeCost": 10,
        "monthlyBandwidthCost": 21,
        "monthlyStorageCost": 20,
        "monthlyPremiumStorageCost": 13,
        "monthlyStandardSsdStorageCost": 3,
        "suitabilitySummary": {
          "suitable": 3
        },
        "numberOfMachines": 3,
        "vmUptime": {
          "daysPerMonth": 13,
          "hoursPerDay": 20
        },
        "distributionBySupportStatus": {
          "extended": 3
        },
        "distributionByServicePackInsight": {},
        "distributionByOsName": {
          "microsoft Windows Server 2016 or later (64-bit)": 3
        },
        "groupType": "Default",
        "assessmentType": "MachineAssessment",
        "azureLocation": "SoutheastAsia",
        "azureOfferCode": "MSAZR0003P",
        "currency": "USD",
        "scalingFactor": 24,
        "percentile": "Percentile95",
        "timeRange": "Day",
        "perfDataStartTime": "2023-09-26T09:36:48.491Z",
        "perfDataEndTime": "2023-09-26T09:36:48.491Z",
        "stage": "InProgress",
        "discountPercentage": 6,
        "sizingCriterion": "PerformanceBased",
        "confidenceRatingInPercentage": 28,
        "pricesTimestamp": "2023-08-16T00:00:00",
        "createdTimestamp": "2023-09-26T09:14:05.7322406Z",
        "updatedTimestamp": "2023-09-26T09:14:05.7322406Z",
        "status": "Created",
        "schemaVersion": null,
        "provisioningState": "Succeeded"
      },
      "id": "/subscriptions/4bd2aa0f-2bd2-4d67-91a8-5a4533d58600/resourceGroups/ayagrawrg/providers/Microsoft.Migrate/assessmentprojects/app18700project/groups/kuchatur-test/assessments/asm1",
      "name": "asm1",
      "type": "Microsoft.Migrate/assessmentprojects/groups/assessments",
      "systemData": {
        "createdBy": "sakanwar",
        "createdByType": "User",
        "createdAt": "2023-09-26T09:36:29.583Z",
        "lastModifiedBy": "sakanwar",
        "lastModifiedByType": "User",
        "lastModifiedAt": "2023-09-26T09:36:29.583Z"
      }
    }
  ],
  "nextLink": "https://microsoft.com/a"
}

Definitions

Name Description
Assessment

Machine assessment resource.

AssessmentListResult

The response of a Assessment list operation.

AssessmentSizingCriterion

Assessment Sizing Criteria.

AssessmentStage
AssessmentStatus

Assessment Status.

AssessmentType
AzureCurrency

Currency for Azure.

AzureDiskType
AzureHybridUseBenefit
AzureOfferCode
AzurePricingTier
AzureReservedInstance
AzureStorageRedundancy
AzureVmFamily
CostComponent

Class to represent the component of the cost.

CostComponentName

Enum to represent component name.

createdByType

The type of identity that created the resource.

ErrorDetail

Error Details

ErrorResponse

Error response

GroupType
Percentile

Percentile for Performance Data.

ProvisioningState

The status of the current operation.

systemData

Metadata pertaining to creation and last modification of the resource.

TimeRange

Time Range for Performance Data.

VmUptime

Details on the total up-time for the VM.

Assessment

Machine assessment resource.

Name Type Description
id

string (arm-id)

Fully qualified resource ID for the resource. E.g. "/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/{resourceProviderNamespace}/{resourceType}/{resourceName}"

name

string

The name of the resource

properties.assessmentErrorSummary

object

Gets or sets the assessment error summary. This is the number of machines affected by each type of error in this assessment.

properties.assessmentType

AssessmentType

Assessment type of the assessment.

properties.azureDiskTypes

AzureDiskType[]

Gets or sets the azure storage type. Premium, Standard etc.

properties.azureHybridUseBenefit

AzureHybridUseBenefit

Gets or sets the user configurable setting to display the azure hybrid use benefit.

properties.azureLocation

string

Azure Location or Azure region where to which the machines will be migrated.

properties.azureOfferCode

AzureOfferCode

Azure Offer Code.

properties.azurePricingTier

AzurePricingTier

Gets or sets Azure Pricing Tier - Free, Basic, etc.

properties.azureStorageRedundancy

AzureStorageRedundancy

Gets or sets the Azure Storage Redundancy. Example: Locally Redundant Storage.

properties.azureVmFamilies

AzureVmFamily[]

Gets or sets the Azure VM families.

properties.confidenceRatingInPercentage

number (float)

Confidence Rating in Percentage.

properties.costComponents

CostComponent[]

Gets the collection of cost components.

properties.createdTimestamp

string (date-time)

Date and Time when assessment was created.

properties.currency

AzureCurrency

Currency in which prices should be reported.

properties.discountPercentage

number (float)

Custom discount percentage.

properties.distributionByOsName

object

Gets the distribution by os name.

properties.distributionByServicePackInsight

object

Gets the distribution distribution of sqlInstances by service pack insight.

properties.distributionBySupportStatus

object

Gets the distribution of sqlInstances by support status.

properties.eaSubscriptionId

string

Gets or sets enterprise agreement subscription id.

properties.groupType

GroupType

Gets the group type for the assessment.

properties.linuxAzureHybridUseBenefit

AzureHybridUseBenefit

Gets or sets the user configurable setting to display the linux azure hybrid use benefit.

properties.monthlyBandwidthCost

number (float)

Gets or sets the aggregate Bandwidth Cost for all machines in the assessment.

properties.monthlyComputeCost

number (float)

Gets or sets the aggregate Compute Cost for all machines in the assessment.

properties.monthlyPremiumStorageCost

number (float)

Gets or sets the aggregate premium storage cost for all machines in the assessment.

properties.monthlyStandardSsdStorageCost

number (float)

Gets or sets the aggregate standard SSD storage cost for all the machines in the assessment.

properties.monthlyStorageCost

number (float)

Gets or sets the aggregate Storage Cost for all machines in the assessment.

properties.monthlyUltraStorageCost

number (float)

Gets or sets the aggregate ultra storage cost for all machines in the assessment.

properties.numberOfMachines

integer (int32)

Gets or sets the Number of machines part of the assessment.

properties.percentile

Percentile

Percentile of the utilization data values to be considered while assessing machines.

properties.perfDataEndTime

string (date-time)

Gets or sets the end time to consider performance data for assessment.

properties.perfDataStartTime

string (date-time)

Gets or sets the start time to consider performance data for assessment.

properties.pricesTimestamp

string (date-time)

Last time when rates were queried.

properties.provisioningState

ProvisioningState

The status of the last operation.

properties.reservedInstance

AzureReservedInstance

Gets or sets the Azure Reserved Instance - 1-Year, 3-Year.

properties.scalingFactor

number (float)

Percentage of buffer that user wants on performance metrics when recommending Azure sizes.

properties.schemaVersion

string

Schema version.

properties.sizingCriterion

AssessmentSizingCriterion

Assessment sizing criterion.

properties.stage

AssessmentStage

User configurable setting to display the Stage of Assessment.

properties.status

AssessmentStatus

Whether assessment is in valid state and all machines have been assessed.

properties.suitabilitySummary

object

Gets or sets the Cloud suitability summary for all the machines in the assessment.

properties.timeRange

TimeRange

Time Range for which the historic utilization data should be considered for assessment.

properties.updatedTimestamp

string (date-time)

Date and Time when assessment was last updated.

properties.vmUptime

VmUptime

Gets or sets the duration for which the VMs are up in the on-premises environment.

systemData

systemData

Azure Resource Manager metadata containing createdBy and modifiedBy information.

type

string

The type of the resource. E.g. "Microsoft.Compute/virtualMachines" or "Microsoft.Storage/storageAccounts"

AssessmentListResult

The response of a Assessment list operation.

Name Type Description
nextLink

string (uri)

The link to the next page of items

value

Assessment[]

The Assessment items on this page

AssessmentSizingCriterion

Assessment Sizing Criteria.

Value Description
PerformanceBased

Performance Data based Sizing.

AsOnPremises

As On Premises or Static Data based Sizing.

AssessmentStage

Value Description
InProgress
UnderReview
Approved

AssessmentStatus

Assessment Status.

Value Description
Created

Assessment is Created.

Updated

Assessment is Updated.

Running

Assessment is currently running.

Completed

Assessment is Completed or Ready.

Invalid

Assessment is Failed i.e. it is now invalid.

OutOfSync

Assessment is Out of Sync.

OutDated

Assessment is Out Dated.

Deleted

Assessment is Deleted.

AssessmentType

Value Description
Unknown
MachineAssessment
AvsAssessment
SqlAssessment
WebAppAssessment

AzureCurrency

Currency for Azure.

Value Description
Unknown
USD
DKK
CAD
IDR
JPY
KRW
NZD
NOK
RUB
SAR
ZAR
SEK
TRY
GBP
MXN
MYR
INR
HKD
BRL
TWD
EUR
CHF
ARS
AUD
CNY

AzureDiskType

Value Description
Unknown
Standard
StandardSSD
Premium
StandardOrPremium
Ultra
PremiumV2

AzureHybridUseBenefit

Value Description
Unknown
Yes
No

AzureOfferCode

Value Description
Unknown
MSAZR0003P
MSAZR0044P
MSAZR0059P
MSAZR0060P
MSAZR0062P
MSAZR0063P
MSAZR0064P
MSAZR0029P
MSAZR0022P
MSAZR0023P
MSAZR0148P
MSAZR0025P
MSAZR0036P
MSAZR0120P
MSAZR0121P
MSAZR0122P
MSAZR0123P
MSAZR0124P
MSAZR0125P
MSAZR0126P
MSAZR0127P
MSAZR0128P
MSAZR0129P
MSAZR0130P
MSAZR0111P
MSAZR0144P
MSAZR0149P
MSMCAZR0044P
MSMCAZR0059P
MSMCAZR0060P
MSMCAZR0063P
MSMCAZR0120P
MSMCAZR0121P
MSMCAZR0125P
MSMCAZR0128P
MSAZRDE0003P
MSAZRDE0044P
MSAZRUSGOV0003P
EA
MSAZR0243P
SavingsPlan1Year
SavingsPlan3Year

AzurePricingTier

Value Description
Standard
Basic

AzureReservedInstance

Value Description
None
RI1Year
RI3Year

AzureStorageRedundancy

Value Description
Unknown
LocallyRedundant
ZoneRedundant
GeoRedundant
ReadAccessGeoRedundant

AzureVmFamily

Value Description
Unknown
Basic_A0_A4
Standard_A0_A7
Standard_A8_A11
Av2_series
D_series
Dv2_series
DS_series
DSv2_series
F_series
Fs_series
G_series
GS_series
H_series
Ls_series
Dsv3_series
Dv3_series
Fsv2_series
Ev3_series
Esv3_series
M_series
DC_Series
Lsv2_series
Ev4_series
Esv4_series
Edv4_series
Edsv4_series
Dv4_series
Dsv4_series
Ddv4_series
Ddsv4_series
Easv4_series
Dasv4_series
Mv2_series
Eav4_series
Dav4_series
Msv2_series
Mdsv2_series
Dv5_series
Dsv5_series
Ddv5_series
Ddsv5_series
Dasv5_series
Dadsv5_series
Ev5_series
Esv5_series
Edv5_series
Edsv5_series
Easv5_series
Eadsv5_series
Ebsv5_series
Ebdsv5_series

CostComponent

Class to represent the component of the cost.

Name Type Description
description

string

The textual description of the component.

name

CostComponentName

Gets the name of the component.

value

number (float)

The value of the component.

CostComponentName

Enum to represent component name.

Value Description
Unknown

Default Cost Component name represented by Unknown.

MonthlyAzureHybridCostSavings

Cost Savings due to Windows Azure Hybrid on monthly basis.

MonthlySecurityCost

Monthly security cost.

MonthlyPremiumV2StorageCost

Monthly PremiumV2 Storage Cost.

MonthlyLinuxAzureHybridCostSavings

Cost Savings due to Linux Azure Hybrid on monthly basis.

MonthlyAvsNodeCost

Monthly AVS Node cost

MonthlyAvsExternalStorageCost

Monthly AVS External Storage cost

MonthlyAvsNetworkCost

Monthly AVS Network cost

MonthlyVcfByolCostDifference

Monthly compute cost difference between VCF BYOL and non VCF BYOL SKUs

createdByType

The type of identity that created the resource.

Value Description
User
Application
ManagedIdentity
Key

ErrorDetail

Error Details

Name Type Description
code

string

Error Code

message

string

Description of the error occurred

ErrorResponse

Error response

Name Type Description
error

ErrorDetail

The error object.

GroupType

Value Description
Default
Import

Percentile

Percentile for Performance Data.

Value Description
Percentile50

Percentile 50.

Percentile90

Percentile 90.

Percentile95

Percentile 95.

Percentile99

Percentile 99.

ProvisioningState

The status of the current operation.

Value Description
Succeeded

Resource has been created.

Failed

Resource creation failed.

Canceled

Resource creation was canceled.

Provisioning

Resource is being Provisioned.

Updating

Resource is being Updated.

Deleting

Resource is being Deleted.

Accepted

Resource is being Accepted.

systemData

Metadata pertaining to creation and last modification of the resource.

Name Type Description
createdAt

string (date-time)

The timestamp of resource creation (UTC).

createdBy

string

The identity that created the resource.

createdByType

createdByType

The type of identity that created the resource.

lastModifiedAt

string (date-time)

The timestamp of resource last modification (UTC)

lastModifiedBy

string

The identity that last modified the resource.

lastModifiedByType

createdByType

The type of identity that last modified the resource.

TimeRange

Time Range for Performance Data.

Value Description
Day

Daily.

Week

Weekly.

Month

Monthly.

Custom

Custom Time Range.

VmUptime

Details on the total up-time for the VM.

Name Type Description
daysPerMonth

integer (int32)

Number of days in a month for VM uptime.

hoursPerDay

integer (int32)

Number of hours per day for VM uptime.